Bug 140227 - Potential insecurity in CGI.pm
Potential insecurity in CGI.pm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
David Lawrence
impact=low,public=20040127
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 07:42 EST by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 11:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
better way of obtaining $script_name (458 bytes, patch)
2004-11-21 07:44 EST, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2004-11-21 07:42:28 EST
During a security audit of one of our perl-based webapplications we
noticed that there is a potential security problem in the CGI.pm
version included in RHEL3. Later issues of perl seems to have this fixed.

The problem lies in the way $script_name is obtained:
The s/some_client_provided_data/some_other_client_provided_data/ call
is a potential issue as the client can provide complicated regular
expressions which eat lots-o-ram [tm].
This could lead to a denial-of-service issue.

A patch for the RPM is attached.

Version-Release number of selected component (if applicable):
5.8.0-88.7
Comment 1 Andreas Thienemann 2004-11-21 07:44:07 EST
Created attachment 107134 [details]
better way of obtaining $script_name

This is the silent fix which seems to have been incorporated into recent perl
releases.
Comment 2 Mark J. Cox (Product Security) 2005-02-07 10:55:44 EST
This requires a valid regexp that will (to some extent) self match
after decoding, therefore this isn't going to be a siginificant DoS on
any reasonable system (there would be many better ways of doing a
DoS).  We're fixing it in an update due shortly however.
Comment 3 Josh Bressers 2005-02-07 11:42:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-105.html

Note You need to log in before you can comment on or make changes to this bug.